#!/bin/sh

set -e
cd "$(dirname "$0")"

# Build Image
TAG='arm-toolchain-build'
docker buildx build --tag "${TAG}" .

# Run
rm -rf out
mkdir out
docker run \
    --rm \
    -u "$(id -u):$(id -g)" \
    -v "$(pwd)/out:/data/out" \
    "${TAG}"

# Clean Up
docker image rm "${TAG}"