#!/bin/sh

set -e
cd "$(dirname "$0")/../"

# Store Output
OUT="$(pwd)/out"
mkdir -p "${OUT}"

# Build
cd workspace/build
for type in *; do
    cd "${type}"
    ../../crosstool-ng/ct-ng build
    # Compress
    NAME="arm-toolchain-${type}"
    mv out "${NAME}"
    tar -cJf "${OUT}/${NAME}.tar.xz" "${NAME}"
    # Clean Up
    chmod -R u+rw "${NAME}"
    rm -rf "${NAME}"
    cd ../
done